Mycroft Community Forum

Please wait a moment while I finish booting up

I am trying to get Mycroft going on an Ubuntu laptop. I seem to have the microphone and audio working, but it never finishes booting up. When I try and ask a question all I get is ‘Please wait a moment while I finish booting up’
can anyone suggest a fix please?
Aaron

Hi @aaron57 welcome back!

Do you have anything in the logs (/var/log/mycroft/)?

1 Like

Thanks for getting back to me
I have audio.log, bus.log. enclosure.log skills.log and voice.log.
This is some of skills.log:

Traceback (most recent call last):
File “/home/guest2/mycroft-core/mycroft/messagebus/client/client.py”, line 131, in on_error
self.emitter.emit(‘error’, error)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 111, in emit
self._emit_handle_potential_error(event, args[0] if args else None)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 83, in _emit_handle_potential_error
raise error
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/guest2/mycroft-core/mycroft/messagebus/client/client.py”, line 131, in on_error
self.emitter.emit(‘error’, error)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 111, in emit
self._emit_handle_potential_error(event, args[0] if args else None)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 83, in _emit_handle_potential_error
raise error
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/guest2/mycroft-core/mycroft/messagebus/client/client.py”, line 131, in on_error
self.emitter.emit(‘error’, error)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 111, in emit
self._emit_handle_potential_error(event, args[0] if args else None)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 83, in _emit_handle_potential_error
raise error
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/guest2/mycroft-core/mycroft/messagebus/client/client.py”, line 131, in on_error
self.emitter.emit(‘error’, error)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 111, in emit
self._emit_handle_potential_error(event, args[0] if args else None)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 83, in _emit_handle_potential_error
raise error
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/guest2/mycroft-core/mycroft/messagebus/client/client.py”, line 131, in on_error
self.emitter.emit(‘error’, error)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 111, in emit
self._emit_handle_potential_error(event, args[0] if args else None)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 83, in _emit_handle_potential_error
raise error
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/guest2/mycroft-core/mycroft/messagebus/client/client.py”, line 131, in on_error
self.emitter.emit(‘error’, error)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 111, in emit
self._emit_handle_potential_error(event, args[0] if args else None)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 83, in _emit_handle_potential_error
raise error
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/guest2/mycroft-core/mycroft/messagebus/client/client.py”, line 131, in on_error
self.emitter.emit(‘error’, error)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 111, in emit
self._emit_handle_potential_error(event, args[0] if args else None)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 83, in _emit_handle_potential_error
raise error
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused
2020-12-31 16:42:42.915 | ERROR | 19583 | mycroft.messagebus.client.client:on_error:135 | Exception closing websocket: ConnectionRefusedError(111, ‘Connection refused’)
2020-12-31 16:42:42.926 | WARNING | 19583 | mycroft.messagebus.client.client:on_error:138 | Message Bus Client will reconnect in 60 seconds.
2020-12-31 16:43:43.012 | ERROR | 19583 | mycroft.messagebus.client.client:on_error:128 | === ConnectionRefusedError(111, ‘Connection refused’) ===

Please use the code button image to format your output, it’s simpler to read :stuck_out_tongue:

It seems that the skills service is not able to connect to the bus, do you have any firewall or custom mycroft.conf configuration?

Oops. Sorry about sending the log file naughtily! No, I don’t have any special set up as far as I know. Mycroft was able to answer questions correctly a week ago. I’ve no idea what I did to dumb him down… I use Linux, but I’m not very good under the bonnet.
Thanks
Aaron

Does the bus service is running?

Yes I think so. In the top of the CLI it says ‘Connected to Messagebus!’ in red letters

Did you try to restart the skills service?

How do you restart the skills service please?

start-mycroft.sh skills restart

1 Like

Brilliant.
That worked
Thanks
Aaron

2 Likes

I’m glad to read this!

1 Like